Hoogle Search

Within LTS Haskell 24.65 (ghc-9.10.3)

Note that Stackage only displays results for the latest LTS and Nightly snapshot. Learn more.

  1. package hasql-th

    Template Haskell utilities for Hasql Extension-library for Hasql, bringing compile-time syntax checking, great simplification of declaration of statements and other TemplateHaskell-based utilities. For details please see the readme.

  2. package hdaemonize

    Library to handle the details of writing daemons for UNIX Provides functions that help writing better UNIX daemons, daemonize and serviced/serviced': daemonize does what a daemon should do (forking and closing descriptors), while serviced does that and more (syslog interface, PID file writing, start-stop-restart command line handling, dropping privileges).

  3. package hedgehog-corpus

    hedgehog-corpus Collection of strings for testing things.

  4. package hedgehog-quickcheck

    Use QuickCheck generators in Hedgehog and vice versa. Use QuickCheck generators in Hedgehog and vice versa. Hedgehog is a modern property-based testing system, in the spirit of QuickCheck. Hedgehog uses integrated shrinking, so shrinks obey the invariants of generated values by construction. To get started quickly, see the examples: <https://github.com/hedgehogqa/haskell-hedgehog/tree/master/hedgehog-

  5. package hidapi

    Haskell bindings to HIDAPI Haskell bindings to the HIDAPI library (https://github.com/libusb/hidapi). Note you need need to have the corresponding low-level library installed for your OS, e.g. libudev-dev on Debian/Ubuntu, or just udev on distributions that don't split dev libraries.

  6. package hmatrix-repa

    Adaptors for interoperability between hmatrix and repa Adaptors for interoperability between hmatrix and repa

  7. package hmatrix-special

    Interface to GSL special functions Interface to GSL special functions.

  8. package hmpfr

    Haskell binding to the MPFR library Haskell binding to the MPFR library. . The library includes both a pure and a mutable interface. The mutable interface should have a lot less overhead than the pure one. . Some simple examples of usage can be found in demo/Demo.hs.

  9. package hoare

    Simple tools for communicating sequential processes Hoare was right—many concurrent programs can be simply expressed as a series of concurrent actors (threads) consuming and producing messages. Haskell provides uniquely great tools (green threads and STM) for doing so. This package provides:

    • Functions for using bounded STM types like TBQueue and TMVar as channels between threads.
    • A closeable TBCQueue for programs where the input ends.

  10. package hostname-validate

    Validate hostnames e.g. localhost or foo.co.uk. Validate hostnames e.g. localhost or foo.co.uk. See also RFC 1123, RFC 952, and RFC 1035.

Page 302 of many | Previous | Next